﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- TEMPLATE for RELATION -->
<xsl:template match="leaf/relation">
<span class="relation-link" onclick="parentElement.className='on'"><xsl:value-of select="$leafinfo"/></span>
<div class="relation-body" onclick="parentElement.className='off'">
	<ul>
	<xsl:for-each select="leaf">
		<li>
			<xsl:element name="a">
				<xsl:attribute name="href">
					../../leaves/<xsl:value-of select="leafid"/>/top.html
				</xsl:attribute>
				<xsl:attribute name="title">
					<xsl:value-of select="title"/>
				</xsl:attribute>
				<xsl:attribute name="target">contentsframe</xsl:attribute>
				<xsl:value-of select="title"/>
			</xsl:element>
		</li>
	</xsl:for-each>
	<xsl:for-each select="branch">
		<li>
			<xsl:element name="a">
				<xsl:attribute name="href">
					../../index/<xsl:value-of select="structureid"/>/top.html
				</xsl:attribute>
				<xsl:attribute name="title">
					<xsl:value-of select="title"/>
				</xsl:attribute>
				<xsl:attribute name="target">contentsframe</xsl:attribute>
				<xsl:value-of select="title"/>
			</xsl:element>
		</li>
	</xsl:for-each>
	</ul>
</div>
</xsl:template>
</xsl:stylesheet>
